> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://developers.alephant.io/sdk-reference/saa-s-sdk/saa-s-api/workspaces/update-workspace/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developers.alephant.io/_mcp/server. # Update workspace PATCH https://alephant.io/api/v1/workspaces/{id} Content-Type: application/json Partial update. Only provided fields are updated. Requires owner or admin role. Reference: https://developers.alephant.io/api-reference/saa-s-api/workspaces/update-workspace ## Servers - `https://alephant.io` (Production, default) - `https://dev.alephant.io` (Development) ## Request ### Path parameters - `id` (string, required) — Workspace UUID ### Headers - `Authorization` (string, required) — Bearer \{access\_token} ### Body (application/json) This endpoint expects an internal_api_handlers_workspaces.UpdateWorkspaceRequest. - `billingEmail` (string, optional) - `name` (string, optional) - `settings` (list of integer, optional) ## Response ### 200 data: updated workspace - `map from string to any` ## Errors ### 400 Bad Request Error BAD_REQUEST (invalid id) - `map from string to any` ### 401 Unauthorized Error AUTH_TOKEN_EXPIRED - `map from string to any` ### 403 Forbidden Error FORBIDDEN (not owner/admin) - `map from string to any` ### 404 Not Found Error NOT_FOUND - `map from string to any` ## Examples **Request** ```json {} ``` **Response** ```json {} ``` **SDK Code** ```python import requests url = "https://alephant.io/api/v1/workspaces/id" payload = {} headers = { "Authorization": "Authorization", "Content-Type": "application/json" } response = requests.patch(url, json=payload, headers=headers) print(response.json()) ``` ```javascript const url = 'https://alephant.io/api/v1/workspaces/id'; const options = { method: 'PATCH', headers: {Authorization: 'Authorization', 'Content-Type': 'application/json'}, body: '{}' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://alephant.io/api/v1/workspaces/id" payload := strings.NewReader("{}") req, _ := http.NewRequest("PATCH", url, payload) req.Header.Add("Authorization", "Authorization") req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://alephant.io/api/v1/workspaces/id") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Patch.new(url) request["Authorization"] = 'Authorization' request["Content-Type"] = 'application/json' request.body = "{}" response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.patch("https://alephant.io/api/v1/workspaces/id") .header("Authorization", "Authorization") .header("Content-Type", "application/json") .body("{}") .asString(); ``` ```php request('PATCH', 'https://alephant.io/api/v1/workspaces/id', [ 'body' => '{}', 'headers' => [ 'Authorization' => 'Authorization', 'Content-Type' => 'application/json', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://alephant.io/api/v1/workspaces/id"); var request = new RestRequest(Method.PATCH); request.AddHeader("Authorization", "Authorization"); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = [ "Authorization": "Authorization", "Content-Type": "application/json" ] let parameters = [] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://alephant.io/api/v1/workspaces/id")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "PATCH" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```